ALAS-2020-1338


Amazon Linux AMI Security Advisory: ALAS-2020-1338
Advisory Release Date: 2020-02-07 17:57 Pacific
Severity: Important

Issue Overview:

A memory leak in the crypto_report() function in crypto/crypto_user_base.c in the Linux kernel through 5.3.11 allows attackers to cause a denial of service (memory consumption) by triggering crypto_report_alg() failures, aka CID-ffdde5932042. (CVE-2019-19062 )

An out-of-bounds memory write issue was found in the Linux Kernel, version 3.13 through 5.4, in the way the Linux kernel's KVM hypervisor handled the 'KVM_GET_EMULATED_CPUID' ioctl(2) request to get CPUID features emulated by the KVM hypervisor. A user or process able to access the '/dev/kvm' device could use this flaw to crash the system, resulting in a denial of service. (CVE-2019-19332 )


Affected Packages:

kernel


Issue Correction:
Run yum update kernel to update your system.

New Packages:
i686:
    kernel-debuginfo-common-i686-4.14.165-102.185.amzn1.i686
    kernel-debuginfo-4.14.165-102.185.amzn1.i686
    kernel-headers-4.14.165-102.185.amzn1.i686
    kernel-tools-4.14.165-102.185.amzn1.i686
    kernel-devel-4.14.165-102.185.amzn1.i686
    perf-debuginfo-4.14.165-102.185.amzn1.i686
    kernel-tools-devel-4.14.165-102.185.amzn1.i686
    perf-4.14.165-102.185.amzn1.i686
    kernel-4.14.165-102.185.amzn1.i686
    kernel-tools-debuginfo-4.14.165-102.185.amzn1.i686

src:
    kernel-4.14.165-102.185.amzn1.src

x86_64:
    kernel-4.14.165-102.185.amzn1.x86_64
    kernel-debuginfo-4.14.165-102.185.amzn1.x86_64
    kernel-tools-4.14.165-102.185.amzn1.x86_64
    kernel-devel-4.14.165-102.185.amzn1.x86_64
    perf-debuginfo-4.14.165-102.185.amzn1.x86_64
    kernel-headers-4.14.165-102.185.amzn1.x86_64
    kernel-tools-debuginfo-4.14.165-102.185.amzn1.x86_64
    perf-4.14.165-102.185.amzn1.x86_64
    kernel-debuginfo-common-x86_64-4.14.165-102.185.amzn1.x86_64
    kernel-tools-devel-4.14.165-102.185.amzn1.x86_64